#include <stdio.h>

int call_by_value(int i)
{
  printf("1. call by value: %d\n", i);
  
  i = 23;

  printf("2. call by value: %d\n", i);
}

int call_by_reference(int *i)
{
  printf("1. call by reference: %d\n", *i);
  
  *i = 23;

  printf("2. call by reference: %d\n", *i);
}


int main()
{
  int i = 42;

  call_by_value(i);

  printf(" main nach call by value: %d\n", i);

  call_by_reference(&i);
  
  printf(" main nach call by reference: %d\n", i);

  return 0;
}
